org.springframework.data.repository.support

## Class PageableExecutionUtils

- java.lang.Object
- - org.springframework.data.repository.support.PageableExecutionUtils

Deprecated.
since 2.4. Use `PageableExecutionUtils` instead

    @Deprecated
    public abstract class PageableExecutionUtils
    extends Object

Support for query execution using `Pageable`. Using `PageableExecutionUtils` assumes that data queries are cheaper than `COUNT` queries and so some cases can take advantage of optimizations.

Since:
  1.13
Author:
  Mark Paluch, Oliver Gierke, Christoph Strobl, Jens Schauder

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static <T> Page<T>` `getPage(List<T> content, Pageable pageable, LongSupplier totalSupplier)` Deprecated. Constructs a `Page` based on the given `content`, `Pageable` and `Supplier` applying optimizations.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getPage

    public static <T> Page<T> getPage(List<T> content,
                                      Pageable pageable,
                                      LongSupplier totalSupplier)

Deprecated.
Constructs a `Page` based on the given `content`, `Pageable` and `Supplier` applying optimizations. The construction of `Page` omits a count query if the total can be determined based on the result size and `Pageable`.

Parameters:
  `content` - must not be null.
  `pageable` - must not be null.
  `totalSupplier` - must not be null.
Returns:
  the `Page`.